import React from 'react';

var getWidgetScript = function (widgetType, widgetId, projectId, domain) {
    if (domain === void 0) { domain = 'https://app.omnimind.ai'; }
    var script = document.createElement('script');
    script.src = "".concat(domain, "/widgets/").concat(widgetType, "-widget/").concat(widgetType, "-widget.js");
    script.async = true;
    script.setAttribute('data-prop-widget-id', widgetId);
    script.setAttribute('data-prop-project-id', projectId);
    script.setAttribute('data-prop-is-dark-mode', 'true');
    return script;
};

var OmnimindWidget = function (props) {
    var vueContainerRef = React.useRef(null);
    var script = getWidgetScript(props.widgetType, props.widgetId, props.projectId, props.domain);
    React.useEffect(function () {
        var _a;
        if (!vueContainerRef.current) {
            return;
        }
        (_a = vueContainerRef.current) === null || _a === void 0 ? void 0 : _a.appendChild(script);
        return function () {
            var _a;
            (_a = vueContainerRef.current) === null || _a === void 0 ? void 0 : _a.removeChild(script);
        };
    });
    return React.createElement("div", { ref: vueContainerRef, style: { height: '100%' } });
};

export { OmnimindWidget };
//# sourceMappingURL=index.js.map
